Ignore:
Timestamp:
Oct 15, 2013 11:48:39 PM (7 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/stable/1.4/configure

    r2957 r2993  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-lapack compile project Lapack with debug compiler flags
    1084   --enable-doscompile     Under Cygwin, compile so that executables run under
    1085                           DOS. Set to mingw to use gcc/g++/ld with
    1086                           -mno-cygwin. Set to msvc to use cl/link (or
    1087                           icl/link). Default when mentioned: mingw. Default
    1088                           when not mentioned: disabled.
     1084
     1085  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10891086  --disable-pkg-config    disable use of pkg-config (if available)
    10901087  --disable-interpackage-dependencies
     
    18891886
    18901887# Get the name of the Fortran compiler and appropriate compiler options
    1891 case $build in
     1888
     1889
     1890  # for backward compatibility
     1891  # Check whether --enable-doscompile or --disable-doscompile was given.
     1892if test "${enable_doscompile+set}" = set; then
     1893  enableval="$enable_doscompile"
     1894  enable_doscompile=$enableval
     1895else
     1896  enable_doscompile=no
     1897fi;
     1898
     1899  # Check whether --enable-msvc or --disable-msvc was given.
     1900if test "${enable_msvc+set}" = set; then
     1901  enableval="$enable_msvc"
     1902  enable_msvc=$enableval
     1903else
     1904  enable_msvc=no
     1905     if test "$enable_doscompile" = msvc ; then
     1906       enable_msvc=yes
     1907     elif test "$enable_doscompile" != no ; then
     1908       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1909echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1910   { (exit 1); exit 1; }; }
     1911     fi
     1912
     1913fi;
     1914
     1915  if test "$enable_msvc" = yes; then
     1916    case $build in
     1917      *-cygwin* | *-mingw*) ;;
     1918      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1919echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1920   { (exit 1); exit 1; }; } ;;
     1921    esac
     1922  fi
     1923
     1924
     1925 case $build in
    18921926  *-mingw*)
    18931927    if test "${LD+set}" = set; then :; else
     
    18961930    ;;
    18971931 esac
    1898  case $enable_doscompile in
    1899    msvc)
    1900      if test "x${LD+set}" = xset; then :; else
    1901        LD=link
    1902      fi
    1903      ;;
    1904  esac
    1905 
    1906 
    1907  # Check whether --enable-doscompile or --disable-doscompile was given.
    1908 if test "${enable_doscompile+set}" = set; then
    1909   enableval="$enable_doscompile"
    1910   if test "$enable_doscompile" != no; then
    1911      case $build in
    1912        *-cygwin* | *-mingw*) ;;
    1913        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1914 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1915    { (exit 1); exit 1; }; } ;;
    1916      esac
     1932 if test $enable_msvc = yes ; then
     1933   if test "x${LD+set}" = xset; then :; else
     1934     LD=link
    19171935   fi
    1918 else
    1919   enable_doscompile=no
    1920 fi;
    1921  case "$enable_doscompile" in
    1922    mingw)
    1923      case $build in
    1924        *-mingw*) enable_doscompile=no ;;
    1925      esac
    1926      ;;
    1927    msvc|no) ;;
    1928    yes) enable_doscompile=mingw ;;
    1929    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1930                     Try configure --help=recursive." >&5
    1931 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1932                     Try configure --help=recursive." >&2;}
    1933    { (exit 1); exit 1; }; }
    1934       ;;
    1935   esac
    1936   if test "$enable_doscompile" != no ; then
    1937     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1938 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1939   fi
     1936 fi
    19401937
    19411938
     
    19801977case $build in
    19811978  *-cygwin* | *-mingw*)
    1982              if test "$enable_doscompile" = msvc ; then
    1983                comps="icl cl"
     1979             if test "$enable_msvc" = yes ; then
     1980               comps="icl cl gcc"
    19841981             else
    1985                comps="gcc cl"
     1982               comps="gcc icl cl"
    19861983             fi ;;
    19871984  *-*-solaris*)
     
    28362833            ;;
    28372834        esac
    2838         case $enable_doscompile in
    2839           mingw)
    2840             CFLAGS="-mno-cygwin"
    2841             cat >conftest.$ac_ext <<_ACEOF
    2842 /* confdefs.h.  */
    2843 _ACEOF
    2844 cat confdefs.h >>conftest.$ac_ext
    2845 cat >>conftest.$ac_ext <<_ACEOF
    2846 /* end confdefs.h.  */
    2847 
    2848 int
    2849 main ()
    2850 {
    2851 int i=0; i++;
    2852   ;
    2853   return 0;
    2854 }
    2855 _ACEOF
    2856 rm -f conftest.$ac_objext conftest$ac_exeext
    2857 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2858   (eval $ac_link) 2>conftest.er1
    2859   ac_status=$?
    2860   grep -v '^ *+' conftest.er1 >conftest.err
    2861   rm -f conftest.er1
    2862   cat conftest.err >&5
    2863   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2864   (exit $ac_status); } &&
    2865          { ac_try='test -z "$ac_c_werror_flag"
    2866                          || test ! -s conftest.err'
    2867   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2868   (eval $ac_try) 2>&5
    2869   ac_status=$?
    2870   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2871   (exit $ac_status); }; } &&
    2872          { ac_try='test -s conftest$ac_exeext'
    2873   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2874   (eval $ac_try) 2>&5
    2875   ac_status=$?
    2876   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2877   (exit $ac_status); }; }; then
    2878   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2879 else
    2880   echo "$as_me: failed program was:" >&5
    2881 sed 's/^/| /' conftest.$ac_ext >&5
    2882 
    2883 fi
    2884 rm -f conftest.err conftest.$ac_objext \
    2885       conftest$ac_exeext conftest.$ac_ext
    2886             CFLAGS=
    2887           ;;
    2888         esac
    28892835    esac
    28902836  fi
     
    32273173  clang* ) ;;
    32283174  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3229     case $build in
     3175
     3176 case $build in
    32303177  *-mingw*)
    32313178    if test "${LD+set}" = set; then :; else
     
    32343181    ;;
    32353182 esac
    3236  case $enable_doscompile in
    3237    msvc)
    3238      if test "x${LD+set}" = xset; then :; else
    3239        LD=link
    3240      fi
    3241      ;;
    3242  esac
     3183 if test $enable_msvc = yes ; then
     3184   if test "x${LD+set}" = xset; then :; else
     3185     LD=link
     3186   fi
     3187 fi
    32433188
    32443189    ;;
     
    32543199case $build in
    32553200  *-cygwin* | *-mingw*)
    3256      if test "$enable_doscompile" = msvc ; then
    3257        coin_f77_comps="ifort fl32 compile_f2c"
     3201     if test "$enable_msvc" = yes ; then
     3202       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    32583203     else
    32593204       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    34803425
    34813426# Provide some information about the compiler.
    3482 echo "$as_me:3482:" \
     3427echo "$as_me:3427:" \
    34833428     "checking for Fortran 77 compiler version" >&5
    34843429ac_compiler=`set X $ac_compile; echo $2`
     
    36493594    coin_add_fflags="-pipe"
    36503595    coin_dbg_fflags="-g -O0"
    3651     case $enable_doscompile in
    3652       mingw)
    3653         FFLAGS="-mno-cygwin"
    3654         cat >conftest.$ac_ext <<_ACEOF
    3655       program main
    3656       write(*,*) 'Hello world'
    3657       end
    3658 _ACEOF
    3659 rm -f conftest.$ac_objext conftest$ac_exeext
    3660 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3661   (eval $ac_link) 2>conftest.er1
    3662   ac_status=$?
    3663   grep -v '^ *+' conftest.er1 >conftest.err
    3664   rm -f conftest.er1
    3665   cat conftest.err >&5
    3666   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3667   (exit $ac_status); } &&
    3668          { ac_try='test -z "$ac_f77_werror_flag"
    3669                          || test ! -s conftest.err'
    3670   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3671   (eval $ac_try) 2>&5
    3672   ac_status=$?
    3673   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3674   (exit $ac_status); }; } &&
    3675          { ac_try='test -s conftest$ac_exeext'
    3676   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3677   (eval $ac_try) 2>&5
    3678   ac_status=$?
    3679   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3680   (exit $ac_status); }; }; then
    3681   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3682 else
    3683   echo "$as_me: failed program was:" >&5
    3684 sed 's/^/| /' conftest.$ac_ext >&5
    3685 
    3686 fi
    3687 rm -f conftest.err conftest.$ac_objext \
    3688       conftest$ac_exeext conftest.$ac_ext
    3689         FFLAGS=
    3690       ;;
    3691     esac
    36923596  else
    36933597    case $build in
     
    39813885case "$F77" in
    39823886  ifort* | */ifort* | IFORT* | */IFORT*)
    3983     case $build in
     3887
     3888 case $build in
    39843889  *-mingw*)
    39853890    if test "${LD+set}" = set; then :; else
     
    39883893    ;;
    39893894 esac
    3990  case $enable_doscompile in
    3991    msvc)
    3992      if test "x${LD+set}" = xset; then :; else
    3993        LD=link
    3994      fi
    3995      ;;
    3996  esac
     3895 if test $enable_msvc = yes ; then
     3896   if test "x${LD+set}" = xset; then :; else
     3897     LD=link
     3898   fi
     3899 fi
    39973900
    39983901    ;;
     
    40613964ac_save_FFLAGS=$FFLAGS
    40623965FFLAGS="$FFLAGS $ac_verb"
    4063 (eval echo $as_me:4063: \"$ac_link\") >&5
     3966(eval echo $as_me:3966: \"$ac_link\") >&5
    40643967ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40653968echo "$ac_f77_v_output" >&5
     
    41394042ac_save_FFLAGS=$FFLAGS
    41404043FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4141 (eval echo $as_me:4141: \"$ac_link\") >&5
     4044(eval echo $as_me:4044: \"$ac_link\") >&5
    41424045ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41434046echo "$ac_f77_v_output" >&5
     
    55215424# Try to autodetect the library for blas based on build system
    55225425  #AC_MSG_CHECKING([default locations for BLAS])
    5523   skip_lblas_check=no
    55245426  case $build in
    55255427    *-sgi-*)
     
    63246226
    63256227    *-cygwin* | *-mingw*)
    6326 # On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
    6327 # library will want to link with cygwin, hence won't run standalone in DOS.
    6328       if test "$enable_doscompile" = mingw; then
    6329         skip_lblas_check=yes
    6330       fi
    63316228      case "$CC" in
    63326229        clang* ) ;;
     
    74927389  esac
    74937390
    7494   if test -z "$use_blas" && test $skip_lblas_check = no; then
     7391  if test -z "$use_blas" ; then
    74957392    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    74967393echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    1015010047*-*-irix6*)
    1015110048  # Find out which ABI we are using.
    10152   echo '#line 10152 "configure"' > conftest.$ac_ext
     10049  echo '#line 10049 "configure"' > conftest.$ac_ext
    1015310050  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    1015410051  (eval $ac_compile) 2>&5
     
    1262712524   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1262812525   -e 's:$: $lt_compiler_flag:'`
    12629    (eval echo "\"\$as_me:12629: $lt_compile\"" >&5)
     12526   (eval echo "\"\$as_me:12526: $lt_compile\"" >&5)
    1263012527   (eval "$lt_compile" 2>conftest.err)
    1263112528   ac_status=$?
    1263212529   cat conftest.err >&5
    12633    echo "$as_me:12633: \$? = $ac_status" >&5
     12530   echo "$as_me:12530: \$? = $ac_status" >&5
    1263412531   if (exit $ac_status) && test -s "$ac_outfile"; then
    1263512532     # The compiler can only warn and ignore the option if not recognized
     
    1289512792   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1289612793   -e 's:$: $lt_compiler_flag:'`
    12897    (eval echo "\"\$as_me:12897: $lt_compile\"" >&5)
     12794   (eval echo "\"\$as_me:12794: $lt_compile\"" >&5)
    1289812795   (eval "$lt_compile" 2>conftest.err)
    1289912796   ac_status=$?
    1290012797   cat conftest.err >&5
    12901    echo "$as_me:12901: \$? = $ac_status" >&5
     12798   echo "$as_me:12798: \$? = $ac_status" >&5
    1290212799   if (exit $ac_status) && test -s "$ac_outfile"; then
    1290312800     # The compiler can only warn and ignore the option if not recognized
     
    1299912896   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1300012897   -e 's:$: $lt_compiler_flag:'`
    13001    (eval echo "\"\$as_me:13001: $lt_compile\"" >&5)
     12898   (eval echo "\"\$as_me:12898: $lt_compile\"" >&5)
    1300212899   (eval "$lt_compile" 2>out/conftest.err)
    1300312900   ac_status=$?
    1300412901   cat out/conftest.err >&5
    13005    echo "$as_me:13005: \$? = $ac_status" >&5
     12902   echo "$as_me:12902: \$? = $ac_status" >&5
    1300612903   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1300712904   then
     
    1541615313  lt_status=$lt_dlunknown
    1541715314  cat > conftest.$ac_ext <<EOF
    15418 #line 15418 "configure"
     15315#line 15315 "configure"
    1541915316#include "confdefs.h"
    1542015317
     
    1551615413  lt_status=$lt_dlunknown
    1551715414  cat > conftest.$ac_ext <<EOF
    15518 #line 15518 "configure"
     15415#line 15415 "configure"
    1551915416#include "confdefs.h"
    1552015417
     
    1787617773   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1787717774   -e 's:$: $lt_compiler_flag:'`
    17878    (eval echo "\"\$as_me:17878: $lt_compile\"" >&5)
     17775   (eval echo "\"\$as_me:17775: $lt_compile\"" >&5)
    1787917776   (eval "$lt_compile" 2>conftest.err)
    1788017777   ac_status=$?
    1788117778   cat conftest.err >&5
    17882    echo "$as_me:17882: \$? = $ac_status" >&5
     17779   echo "$as_me:17779: \$? = $ac_status" >&5
    1788317780   if (exit $ac_status) && test -s "$ac_outfile"; then
    1788417781     # The compiler can only warn and ignore the option if not recognized
     
    1798017877   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1798117878   -e 's:$: $lt_compiler_flag:'`
    17982    (eval echo "\"\$as_me:17982: $lt_compile\"" >&5)
     17879   (eval echo "\"\$as_me:17879: $lt_compile\"" >&5)
    1798317880   (eval "$lt_compile" 2>out/conftest.err)
    1798417881   ac_status=$?
    1798517882   cat out/conftest.err >&5
    17986    echo "$as_me:17986: \$? = $ac_status" >&5
     17883   echo "$as_me:17883: \$? = $ac_status" >&5
    1798717884   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1798817885   then
     
    1955019447   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1955119448   -e 's:$: $lt_compiler_flag:'`
    19552    (eval echo "\"\$as_me:19552: $lt_compile\"" >&5)
     19449   (eval echo "\"\$as_me:19449: $lt_compile\"" >&5)
    1955319450   (eval "$lt_compile" 2>conftest.err)
    1955419451   ac_status=$?
    1955519452   cat conftest.err >&5
    19556    echo "$as_me:19556: \$? = $ac_status" >&5
     19453   echo "$as_me:19453: \$? = $ac_status" >&5
    1955719454   if (exit $ac_status) && test -s "$ac_outfile"; then
    1955819455     # The compiler can only warn and ignore the option if not recognized
     
    1965419551   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1965519552   -e 's:$: $lt_compiler_flag:'`
    19656    (eval echo "\"\$as_me:19656: $lt_compile\"" >&5)
     19553   (eval echo "\"\$as_me:19553: $lt_compile\"" >&5)
    1965719554   (eval "$lt_compile" 2>out/conftest.err)
    1965819555   ac_status=$?
    1965919556   cat out/conftest.err >&5
    19660    echo "$as_me:19660: \$? = $ac_status" >&5
     19557   echo "$as_me:19557: \$? = $ac_status" >&5
    1966119558   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1966219559   then
     
    2186121758   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2186221759   -e 's:$: $lt_compiler_flag:'`
    21863    (eval echo "\"\$as_me:21863: $lt_compile\"" >&5)
     21760   (eval echo "\"\$as_me:21760: $lt_compile\"" >&5)
    2186421761   (eval "$lt_compile" 2>conftest.err)
    2186521762   ac_status=$?
    2186621763   cat conftest.err >&5
    21867    echo "$as_me:21867: \$? = $ac_status" >&5
     21764   echo "$as_me:21764: \$? = $ac_status" >&5
    2186821765   if (exit $ac_status) && test -s "$ac_outfile"; then
    2186921766     # The compiler can only warn and ignore the option if not recognized
     
    2212922026   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2213022027   -e 's:$: $lt_compiler_flag:'`
    22131    (eval echo "\"\$as_me:22131: $lt_compile\"" >&5)
     22028   (eval echo "\"\$as_me:22028: $lt_compile\"" >&5)
    2213222029   (eval "$lt_compile" 2>conftest.err)
    2213322030   ac_status=$?
    2213422031   cat conftest.err >&5
    22135    echo "$as_me:22135: \$? = $ac_status" >&5
     22032   echo "$as_me:22032: \$? = $ac_status" >&5
    2213622033   if (exit $ac_status) && test -s "$ac_outfile"; then
    2213722034     # The compiler can only warn and ignore the option if not recognized
     
    2223322130   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2223422131   -e 's:$: $lt_compiler_flag:'`
    22235    (eval echo "\"\$as_me:22235: $lt_compile\"" >&5)
     22132   (eval echo "\"\$as_me:22132: $lt_compile\"" >&5)
    2223622133   (eval "$lt_compile" 2>out/conftest.err)
    2223722134   ac_status=$?
    2223822135   cat out/conftest.err >&5
    22239    echo "$as_me:22239: \$? = $ac_status" >&5
     22136   echo "$as_me:22136: \$? = $ac_status" >&5
    2224022137   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    2224122138   then
     
    2518325080echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2518425081coin_link_input_cmd="$LN_S"
    25185 if test "$enable_doscompile" = mingw; then
    25186   coin_link_input_cmd=cp
    25187 fi
    2518825082case "$CC" in
    2518925083  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.